#
# spec file for package nodejs-npmconf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name npmconf

Name:           nodejs-npmconf
Version:        2.1.0
Release:        10.1
Summary:        Config tool used by NPM
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/npmconf
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
The config thing npm uses. If you are interested in interacting with the config settings that npm uses, then use this module.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json npmconf.js config-defs.js lib \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- update version 2.1.0
* Tue Aug 19 2014 jgleissner@suse.com
- install config-defs.js
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
